{% extends "base.html" %}
{% load i18n %}
{% load static from staticfiles %}
{% load url from future %}

{% block title %}
    {{ block.super }} Menu
{% endblock %}

{% block content %}
{{ block.super }}
    <h3>{{ org }} {% if user.is_authenticated %}
        (see organism details on <a href="{{ SERVER_ORG }}/{{ org.ref }}">Mathrice Directory)</a>{% endif %}
    </h3>


    <h1>{{ org }} {{ org.ref }} {{ org.location }}</h1>
        <small>

    {% if message %}
        <div>
            <small>
                {{ message|linebreaks }}
            </small>
        </div>
    {% endif %}
        {% if user.is_authenticated %}
            Your selected calendar is actually: "
            {% if user.userprofile.my_default_subscription.description %}
            <a href="{% url 'detail_subscription' user.userprofile.my_default_subscription.id %}">{{ user.userprofile.my_default_subscription.description }}</a>
                {% else %}My default subscription
                {% endif %}"
            . (<a href="{% url 'subscriptions' %}">Choose another one</a> )
        {% endif %}

            <table cellpadding="0" cellspacing="0" border="1" class="display" id="calendarTable">
                <thead>
                <tr>
                    <th></th>
                    <th>Title</th>
                    {% if not org %}
                        <th>Organism</th>
                    {% endif %}
                    <th>Location</th>
                    <th>Region</th>
                    <th>Events</th>
                    <th>Feed</th>
                    <th>iCal</th>
                    {% if user.is_authenticated %}
                        {% if request.user.is_staff or request.user.is_superuser %}
                            <th>Subscriptions</th>
                            <th>Total Events in DB</th>
                            <th>Number of future events</th>
                            <th>Last collect</th>
                            <th>Last event</th>
                            <th>Status</th>
                            <th> Action</th>
                            <th>Managed by</th>
                        {% else %}
                            <th>Subscription by email</th>
                        {% endif %}
                    {% endif %}
                </tr>
                </thead>
                <tbody>

                {% for publisher, events, subscription in object_list %}
                    <tr>
                        <td>
                            <small><i><a href="{% url 'calendar_detail' publisher.pk %}">{{ forloop.counter|stringformat:"03d" }}</a></i>
                            </small>
                        </td>
                        <td>
                        {% if not publisher.enabled %}
                            <del>
                        {% endif %}
                            {% if publisher.url_to_desc %}
                            <a href="{{ publisher.url_to_desc }}">{{ publisher.title|safe }}</a>
                            {% else %}
                            {{ publisher.title|safe }}
                            {% endif %}

                        {% if not publisher.enabled %}
                            </del>
                        {% endif %}
                        </td>
                        {% if not org %}
                            <td>
                                {% for org in publisher.org.all %}
                                    <a href="{% url 'organisation_detail' org.ref %}">{{ org|safe }}</a>
                                    ({{ org.alias|safe }})
                                {% endfor %}
                            </td>
                        {% endif %}
                        <td>
                            {% for org in publisher.org.all %}
                               {{ org.location }}
                            {% endfor %}
                        </td>
                        <td>
                            {% for org in publisher.org.all %}
                                {{ org.region.name }}
                            {% endfor %}
                        </td>
                        <td>
                        <ul>
                            {% for event in events %}
                                <li>{{ event }}</li>
                                {% endfor %}
                        </ul>
                        </td>
                        <td>
                            <div>
                                <a class="ical" title="Subscribe"
                                   href="{% url 'calfeed' cal_id=publisher.pk %} ">
                                    <img src="{% static 'images/icon-rss.gif' %}" alt="RSS">
                                </a>
                            </div>
                        </td>
                        <td>
                            <div>
                                <a class="ical" title="Subscribe"
                            {% if 'IC' in publisher.parse %}
                                href="{{ publisher.url_to_parse }}">direct to
                            {% else %}
                                href="{% url 'calics' cal_id=publisher.pk %} ">
                            {% endif %}
                                <img src="{% static 'images/iCal.png' %}" alt="iCal">
                                </a>
                            </div>
                        </td>
                        {% if user.is_authenticated %}
                            {% if request.user.is_staff or request.user.is_superuser %}
                                <td>{{ publisher.subscription_set.count }}</td>
                                <td>
                                    {% if publisher.myevent_set.count %}
                                        <a href="{% url 'calendar_detail' publisher.id %}">{{ publisher.myevent_set.count }}
                                            events</a>


                                    {% endif %}
                                </td>
                                <td>
                                    {% if val.1 %}{{ val.0 }}
                                    {% endif %}

                                </td>
                                <td>
                                    {% if publisher.created_by == user or user.is_staff %}
                                        {{ publisher.edited_on }}<br>
                                        {% if publisher.enabled %}
                                            <a href="{% url 'collect' publisher.id %}">collect?</a>
                                        {% endif %}
                                    {% endif %}
                                </td>
                                <td>
                                    {% if val.1 %}
                                        {% if val.0 %}
                                            NEXT {{ val.1 }}
                                        {% else %}
                                            LATEST {{ val.1 }}
                                        {% endif %}
                                    {% else %}
                                        NEVER
                                    {% endif %}

                                </td>
                                <td>
                                    {% if publisher.created_by == user or user.is_staff %}
                                        <textarea>{{ publisher.check_status|safe }}</textarea>
                                        {{ publisher.count_failed_check }}
                                    {% endif %}
                                </td>
                                <td>
                                    <a href="{% url 'update_cal' publisher.id %}">Modify</a>
                                </td>
                                <td>
                                    {% if 'OD' in publisher.origin_if_imported %}
                                        imported from 'Officiel des Maths'
                                        {% if user.is_staff %}
                                            {{ publisher.created_by.email }}
                                        {% endif %}
                                    {% else %} {% if 'AC' in publisher.origin_if_imported %}
                                        imported from 'Agenda des Conférences en Mathématiques'
                                        {% if user.is_staff %}
                                            {{ publisher.created_by.email }}
                                        {% endif %}
                                    {% else %}
                                        {{ publisher.created_by.email }}
                                    {% endif %}{% endif %}
                                </td>
                            {% else %}
                                <td>
                                    {% if publisher.enabled %}
                                        <a href="#" class="c_sub" id="{{ publisher.id }}">{% if subscription %}unsubscribe{% else %}subscribe{% endif %}</a>
                                    {% endif %}
                                </td>
                            {% endif %}
                        {% endif %}
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            {% if user.is_authenticated %}
                <input type="hidden" name="user" id="user" value="{{ user.id }}">
            {% endif %}
        </small>

{% endblock %}


{% block css %}
    {% comment %}
    {{ block.super }}
{% endcomment %}
    <style media="screen" type="text/css">

        tbody th, tbody td {
            word-wrap: break-word;
        }

    </style>
{{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <link rel="stylesheet" type="text/css" href="{% static 'js/DataTables-1.8.2/media/css/demo_table.css' %}"/>
{% endblock %}


{% block controleur_js %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <script src="{% static 'js/DataTables-1.8.2/media/js/jquery.dataTables.js' %}"></script>
    <script src="{% static 'js/subscription.js' %}"></script>

    <script type="text/javascript">
        $(document).ready(function () {

            $('#calendarTable').dataTable({
                "aaSorting": [
                    [ 0, "asc" ]
                ],
                "bPaginate": false
            });
        });
    </script>

{% endblock %}
